Transfer signups from one variant to another
LegacyAPI v1 is the older API. It still works and is supported, but new integrations should use API v2. Migrating from v1 to v2
const url = 'https://app.stoqapp.com/api/v1/external/intents/transfer_signups';const options = { method: 'POST', headers: {'X-Auth-Token': '<X-Auth-Token>', 'Content-Type': 'application/json'}, body: '{"from_shopify_variant_id":43900910010503,"from_shopify_product_id":7891234567890,"to_shopify_variant_id":43900910010999,"to_shopify_product_id":7891234567890,"intent_type":"unsent"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.stoqapp.com/api/v1/external/intents/transfer_signups \ --header 'Content-Type: application/json' \ --header 'X-Auth-Token: <X-Auth-Token>' \ --data '{ "from_shopify_variant_id": 43900910010503, "from_shopify_product_id": 7891234567890, "to_shopify_variant_id": 43900910010999, "to_shopify_product_id": 7891234567890, "intent_type": "unsent" }'Transfer intents (signups) from a source variant to a target variant. This is useful when consolidating variants or when products are restructured. By default transfers pending intents, but can transfer sent or all intents based on intent_type parameter.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Shopify variant ID to transfer signups from
Shopify product ID of the source variant
Shopify variant ID to transfer signups to
Shopify product ID of the target variant
Type of intents to transfer (default is unsent/pending)
Example
{ "from_shopify_variant_id": 43900910010503, "from_shopify_product_id": 7891234567890, "to_shopify_variant_id": 43900910010999, "to_shopify_product_id": 7891234567890, "intent_type": "unsent"}Responses
Section titled “Responses”Transfer completed successfully
Bad request - invalid parameters
object
Example generated
{ "error": "example"}Unauthorized
Transfer failed
object
Interactor errors object
object
Example generated
{ "errors": {}}Thanks for letting us know.
Still stuck? Ask Quinn or chat with support